#ifndef _KVI_LINEEDIT_QT_H_INCLUDED_
#define _KVI_LINEEDIT_QT_H_INCLUDED_

// =============================================================================
//
//      --- kvi_lineedit_qt.h ---
//
//   This file is part of the KVIrc IRC client distribution
//   Copyright (C) 1999-2000 Szymon Stefanek (stefanek@tin.it)
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
// =============================================================================

#include <qlineedit.h>

#include "kvi_string.h"

class KviLineEdit : public QLineEdit
{
	Q_OBJECT
public:
	KviLineEdit(QWidget *parent, const char *name = 0);
	~KviLineEdit();

	QString text() const;
public slots:
	virtual void setText(const char *text);
	        void  insert(const char *text);
protected:
	KviStr m_szAltKeyCode;

	virtual void   keyPressEvent(QKeyEvent *);
	virtual void keyReleaseEvent(QKeyEvent *);
signals:
	void returnPressed(const QString &);
public slots:
	void slot_returnPressed(const QString &);
};

#endif // _KVI_LINEEDIT_QT_H_INCLUDED_
