// =============================================================================
//
//      --- kvi_ipselector.cpp ---
//
//   This file is part of the KVIrc IRC client distribution
//   Copyright (C) 1999-2000 Szymon Stefanek (stefanek@tin.it)
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
// =============================================================================

#define _KVI_DEBUG_CHECK_RANGE_
#define _KVI_DEBUG_CLASS_NAME_ "KviIpSelector"

#include "kvi_ipeditor.h"
#include "kvi_ipselector.h"
#include "kvi_label.h"
#include "kvi_string.h"

KviIpSelector::KviIpSelector(QWidget *parent, const char *description, KviStr *ipPtr, bool bEnabled)
	: QHBox(parent)
{
	m_ipPtr        = ipPtr;
	m_pDescription = new KviLabel(description, this);
	m_pIpEditor    = new KviIpEditor(this, ipPtr->ptr());
	setStretchFactor(m_pDescription, 1);
	setEnabled(bEnabled);
}

KviIpSelector::~KviIpSelector()
{
	// Nothing here
}

void KviIpSelector::setEnabled(bool bEnabled)
{
	QHBox::setEnabled(bEnabled);
	m_pIpEditor->setEnabled(bEnabled);
	m_pDescription->setEnabled(bEnabled);
}

void KviIpSelector::commitChanges()
{
	*m_ipPtr = m_pIpEditor->address();
}

#include "m_kvi_ipselector.moc"
