#ifndef _KVI_ABOUT_H_INCLUDED_
#define _KVI_ABOUT_H_INCLUDED_

// =============================================================================
//
//      --- kvi_about.cpp ---
//
//   This file is part of the KVIrc IRC client distribution
//   Copyright (C) 1999-2000 Till Bush (buti@geocities.com)
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
// =============================================================================

#include "kvi_defines.h"

static const char *g_szAboutText =
	"<center>\n"
	"<font color=\"#DEEAEF\" face=\"" KVI_DEFAULT_FONT "\" size=\"2\">\n"
	"<font color=\"#FFD400\" size=\"7\">K&nbsp;V&nbsp;<font size=\"6\">I&nbsp;R&nbsp;C</font></font><br>\n"
	"<font size=\"4\">Internet Relay Chat Client<br>\n"
	"Version <font color=\"#FFD400\">2.1.3</font></font><br>\n"
	"<br>\n"
	"<br>\n"
	"<br>\n"
	"<font color=\"#FFD400\"><h2>KVIrc Development Team</h2></font><br>\n"
	"<b>This is a small list of people<br>\n"
	"that have contributed in some way<br>\n"
	"to the KVIrc project</b><br>\n"
	"<font size=\"2\">(in a pseudo-random order at this point)</font><br>\n"
	"<br>\n"
	"<font size=\"4\"><b><font face=\"times\"><i>Honor and Glory</i></font> to:</b></font><br>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Szymon <font color=\"#FFA000\">'Pragma@OpenProjects/IRCNet'</font> Stefanek</b></font><br>\n"
		"<font color=\"#4545FF\"><b>"
			"[kvirc@tin.it]"
		"</b></font><br>\n"
			"The \"creator\" of KVIrc<br>\n"
			"Mental work, hand work,<br>\n"
			"eyes consuming and coffee drinking<br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
			"\"i will check... lemme check\"<br>\n"
			"\"i will fix it tomorrow\"<br>\n"
			"\"KVIrc: the client that cannot make coffee\"<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Christian <font color=\"#FFA000\">'Number1@Undernet/OpenProjects'</font> Strmmen</b></font><br>\n"
		"<font color=\"#4545FF\"><b>"
			"[number1@realityx.net]"
		"</b></font><br>\n"
			"Makes sure that nobody is lazy, bug hunter, provider of a LOT of suggestions, and maker of RealityX IRC<br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
					"\"Pragma: could you add these<br>\n"
					"functions: $rubmyback() and<br>\n"
					"$makecoffee()?\"<br>\n"
			"\"Skydiving is almost as exciting<br>\n"
			"as KVIrc scripting!\"<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Krzysztof <font color=\"#FFA000\">'Kristoff@OpenProjects/IRCNet'</font> Godlewski</b></font><br>\n"
		"<font color=\"#4545FF\"><b>"
			"[kristoff@poczta.wprost.pl]"
		"</b></font><br>\n"
			"Official Polish beer provider\n"
			"and heavily addicted developer<br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
			"\"echo \"STOP IT\" &lt; /dev/neighbour\"<br>\n"
			"\"cd ./neighbour && make clean\"<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Robin Verduijn</b></font><br>\n"
			"Keeping KVIrc 2 alive and bug free<br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
			"\"Better late than never\"<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Andrew <font color=\"#FFA000\">'Drosha@Undernet'</font> Frolov</b></font><br>\n"
			"Beta testing<br>\n"
			"Ideator of <u><font color=\"#9090FF\">www.kvirc.org</font></u><br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
			"\"This free project is better than shareware\n"
			"mIRC for windows even in alpha stage\"<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>RAD Kade 1</b></font><br>\n"
			"Debugging and improvements<br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
			"\"I am just *really* good at doing things\n"
			"when I have no idea of what I am actually doing\"<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Fritz <font color=\"#FFA000\">'KNFritz@IRCNet'</font> Elfert</b></font><br>\n"
			"Improvements to KVIrc code<br>\n"
			"and to my (Pragma's) Linux knowledge...<br>\n"
			"I like to think of him as a 'spiritual guide'...<br>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Olle <font color=\"#FFA000\">'Crocodile@OpenProjects'</font> Hallnas</b></font><br>\n"
		"<font color=\"#4545FF\"><b>"
			"[olle@xmms.org]"
		"</b></font><br>\n"
			"The \"open hand\" of the KVIrc project.<br>\n"
			"Provider of the CVS service, WWW & FTP mirrors,\n"
			"great ideas, and fun while coding<br>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>BuTi <font color=\"#FFA000\">'BuTi@IRCNet/OpenProjects'</font></b></font><br>\n"
		"<font color=\"#4545FF\"><b>"
			"[buti@geocities.com]"
		"</b></font><br>\n"
			"Some \"tiny\" pieces of code...<br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
			"\"but it _should_ work...\"<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Luk <font color=\"#FFA000\">'Balboy@IrcNet/OpenProjects'</font> De Ketelaere</b></font><br>\n"
		"<font color=\"#4545FF\"><b>"
			"[balboy@skynet.be]"
		"</b></font><br>\n"
			"Help with documentation and bug searching...<br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
			"\"no idea what you are talking about... or why you need it :)\"<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Jan <font color=\"#FFA000\">'istari@IRCNet'</font> Wagner</b></font><br>\n"
		"<font color=\"#4545FF\"><b>"
			"[istari@realityx.net]"
		"</b></font><br>\n"
			"Unbreakable supporter, bug hunter, and<br>\n"
			"\"the man\" that gives you KVIrc through IPv6.<br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
			"&lt;istari&gt; im going in the kitchen cleaning dishes and cooking<br>\n"
			"&lt;Mailer&gt; so istari is FAT<br>\n"
			"&lt;istari&gt; eat my shorts :P<br>\n"
			"Kristoff saw istari... he is as fat as a cow<br>\n"
			"&lt;istari&gt; kristoff: ack :]<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Gian Fabio <font color=\"#FFA000\">'Mailer@IRCNet'</font> Palmerini</b></font><br>\n"
			"Webmaster...<br>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Charles <font color=\"#FFA000\">'Njaard@OpenProjects'</font> Samuels</b></font><br>\n"
		"<font color=\"#4545FF\"><b>"
			"[charles@altair.dhs.org]"
		"</b></font><br>\n"
			"The KDE man! Making sure that KVIrc has a reason to have a K in the beginning<br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
			"\"Could I please make KVIrc a pure KDE application today?? Pleeease...\"<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Nick <font color=\"#FFA000\">'Error403@OpenProjects'</font> Betcher</b></font><br>\n"
		"<font color=\"#4545FF\"><b>"
			"[nbetcher@real-time.com]"
		"</b></font><br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
			"\"&lt;Error403&gt; Number1: I imagined you looking crazy :)\"<br>\n"
			"\"&lt;NumeroUno&gt; I was drunk\"<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Trisk <font color=\"#FFA000\">'Triskelios@WebNet/OpenProjects'</font></b></font><br>\n"
		"<font color=\"#4545FF\"><b>"
			"[trisk@quasarnet.org]"
		"</b></font><br>\n"
			"Bug complaintant and minor coder,<br>\n"
			"maintainer of upstream KVIrc 2.x<br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
			"\"Number1 enters a time-machine and goes back\n"
			"to Triskelios birthday\"<br>\n"
			"\"&lt;Number1&gt; Triskelios: happy birthday\"<br>\n"
			"\"Number1 enters the time-machine and goes back\"<br>\n"
			"\"&lt;Balboy&gt; happy birthday Triskelios:p\"<br>\n"
			"\"&lt;Balboy&gt; better late then never :)\"<br>\n"
			"\"&lt;Pragma&gt; true :)\"<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Andrea <font color=\"#FFA000\">'YaP@IRCNet/OpenProjects'</font> Parrella</b></font><br>\n"
		"<font color=\"#4545FF\"><b>"
			"[anandrea@iname.com]"
		"</b></font><br>\n"
			"Official bug hunter and<br>\n"
			"plugin developer<br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
			"\"why you have not implemented a class like\n"
			"DoEverythingByYourself? :)\"<br>\n"
			"\"&lt;Pragma&gt; a wonderful recursive function :)<br>\n"
			"&lt;YaP&gt; Damn... I knew it eheheheheh\"<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>rn <font color=\"#FFA000\">'oehansen@Undernet'</font> E. Hansen</b></font><br>\n"
		"<font color=\"#4545FF\"><b>"
			"[oe.hansen@gamma.telenordia.se]"
		"</b></font><br>\n"
			"Official C++ manual\n"
			"and plugin developer<br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
			"\"prepare yourselves...<br>\n"
			"#include &lt;iostream.h&gt;<br>\n"
			"class testing {...\"<br>\n"
			"\"&lt;oehansen&gt; I must admit, I am getting confused :-)<br>\n"
			"&lt;Pragma&gt; Me too, at this point :)\"<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Anodine <font color=\"#FFA000\">'[Anodine]@EFNet'</font></b></font><br>\n"
			"Various funky improvements<br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
			"\"I can program anything\n"
			"I set my mind to!\"<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Ted <font color=\"#FFA000\">'alch3m1st@IRCNet'</font> Podgurski</b></font><br>\n"
		"<font color=\"#4545FF\"><b>"
			"[tedp@toocool.com]"
		"</b></font><br>\n"
			"Test scripter, official bug hunter,<br>\n"
			"ideator & creator of <u><font color=\"#9090FF\">www.kvirc.net</font></u><br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
			"\"whassup?\"<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Christopher <font color=\"#FFA000\">'CGabriel@IRCNet'</font> R. Gabriel</b></font><br>\n"
		"<font color=\"#4545FF\"><b>"
			"[cgabriel@linux.it]"
		"</b></font><br>\n"
			"The 'light' inside the GNU clouds<br>\n"
			"Generic (\?\?!) official project supporter :)<br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
			"\"Pragma: seems that kvirc with all its plugins is becoming a desktop environment\"<br>\n"
			"\"echo espresso > /dev/coffee\"<br>\n"
			"\"Pragma: you reached the user limit. WTF!\"<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Diabl0 <font color=\"#FFA000\">'Diabl0@IRCNet'</font></b></font><br>\n"
			"Beta testing, bug hunting,<br>\n"
			"also a great source of new ideas<br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
			"\"Bus report...\"<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>Paul <font color=\"#FFA000\">'infected@IRCNet'</font> Boehm</b></font><br>\n"
			"Beta testing and<br>\n"
			"language structure improvements<br>\n"
		"<font color=\"#E0E0E0\"><i>\n"
			"\"... it is enough for 100 IPs per meter\n"
			"on earth, so every lightswitch can have\n"
			"its own IP... then you telnet to your lightswitch\n"
			"and turn it off!\"<br>\n"
		"</i></font>\n"
	"<br>\n"
	"\n"
		"<font color=\"#FFFF00\"><b>munehiro <font color=\"#FFA000\">'munehiro@IRCNet'</font></b></font><br>\n"
			"Italian translations, code improvements, and many useful suggestions<br>\n"
	"<br>\n"
	"<br>\n"
	"<br>\n"
	"<font color=\"#FFFF00\"><b>KVIrc public releases:</b></font><br>\n"
	"<br>\n"
	"<font color=\"#FF0000\">0.9.0</font><br>\n"
	"<font size=\"2\" color=\"#808080\">Release date: 25.01.1999</font><br>\n"
	"<br>\n"
	"<font color=\"#FF0000\">1.0.0 '<i>Millennium</i>'</font><br>\n"
	"<font size=\"2\">\"The net in your hands\"</font><br>\n"
	"<font size=\"2\" color=\"#808080\">Release date: 21.12.1999</font><br>\n"
	"<br>\n"
	"<font color=\"#FF0000\">2.0.0 '<i>Phoenix</i>'</font><br>\n"
	"<font size=\"2\">\"The client that can't make coffee\"</font><br>\n"
	"<font size=\"2\" color=\"#808080\">Release date: 30.05.2000</font><br>\n"
	"<br>\n"
	"<font color=\"#FF0000\">2.1.0 '<i>Dark Star</i>'</font><br>\n"
	"<font size=\"2\">\"The quiet before the storm\"</font><br>\n"
	"<font size=\"2\" color=\"#808080\">Release date: 30.01.2001</font><br>\n"
	"<br>\n"
	"<font color=\"#FF0000\">2.1.1 '<i>Monolith</i>'</font><br>\n"
	"<font size=\"2\">\"A breath of fresh net\"</font><br>\n"
	"<font size=\"2\" color=\"#808080\">Release date: 01.04.2001</font><br>\n"
	"<br>\n"
	"<font color=\"#FF0000\">2.1.2</font><br>\n"
	"<font size=\"2\" color=\"#808080\">Release date: TBA</font><br>\n"
	"<br>\n"
	"<br>\n"
	"<br>\n"
	"<br>\n"
	"<font color=\"#FFFF00\"><b>Embarrassing Log:</b></font><br>\n"
	"</font>\n"
	"</center>\n"
	"<font color=\"#E0E0E0\" face=\"" KVI_DEFAULT_FONT "\" size=\"2\"><i>\n"
	"\"&lt;LordHawk&gt; everyone did not fall asleep did ya\"<br>\n"
	"\"&lt;LordHawk&gt; or lag killing me?\"<br>\n"
	"\"&lt;Kristoff&gt; aaarghe\"<br>\n"
	"\"&lt;rkaa&gt; i am here\"<br>\n"
	"<font size=\"2\" color=\"#FF0080\">\n"
		"\"Kristoff is dunk\"<br>\n"
	"</font>\n"
	"\"&lt;Kristoff&gt; ... again :-)\"<br>\n"
	"\"&lt;LordHawk&gt; better than being asleep\"<br>\n"
	"\"&lt;rkaa&gt; dunk or drunk...\"<br>\n"
	"\"&lt;Triskelios&gt; *drunk\"<br>\n"
	"\"&lt;rkaa&gt; hehe\"<br>\n"
	"\"&lt;Kristoff&gt; let's code a bit\"<br>\n"
	"<font size=\"2\" color=\"#FF0080\">\n"
		"\"Triskelios thinks it is not a good idea to code when\n"
		"you are in a state that you cannot spell\"<br>\n"
	"</font>\n"
	"\"&lt;Kristoff&gt; KviMainHandler = null\"<br>\n"
	"\"&lt;Kristoff&gt; MainHnadler -\"<br>\n"
	"\"&lt;Kristoff&gt; > giveUp()\"<br>\n"
	"<font size=\"2\" color=\"#00FF00\">\n"
		"\"Kristoff [kristoff@212.33.**.***] is now known as Kristoff|Away\"<br>\n"
	"</font>\n"
	"\"&lt;Balboy&gt; Kristoff|Away DOOOOOOOOOOOONNNNNNNNN'TTTTTT8!!!!!!!!!!\"<br>\n"
	"\"&lt;Balboy&gt; don't you code!!!!\"<br>\n"
	"\"&lt;Balboy&gt; Kristoff|Away: !!! i will sue you!!! :p\"<br>\n"
	"\"&lt;Kristoff|Away&gt; hheee\"<br>\n"
	"\"&lt;Balboy&gt; DO NOT EVEN THINK ABOUT CODING :)\"<br>\n"
	"<font size=\"2\" color=\"#FF0080\">\n"
		"\"Kristoff|Away is happy == drunk\"<br>\n"
		"\"Kristoff|Away slucha [Marduk - 04 - Slay the Nazarene]\"<br>\n"
		"\"Kristoff|Away slucha [Marduk - 04 - Slay the Nazarene]\"<br>\n"
	"</font>\n"
	"\"...\"<br>\n"
	"\"&lt;rkaa&gt; where is my flood-protection when i need it...\"<br>\n"
	"<font size=\"2\" color=\"#FF0000\">\n"
		"\"Kristoff|Away has been kicked from #kvirc by Balboy\n"
		"[balboy@***.***.skynet.be] : [plz :p]\"<br>\n"
	"</font>\n"
	"<font size=\"2\" color=\"#00FF00\">\n"
		"\"Kristoff|Away [kristoff@212.33.**.***] has joined #kvirc\"<br>\n"
	"</font>\n"
	"\"&lt;Kristoff|Away&gt; :-P\"<br>\n"
	"\"&lt;Kristoff|Away&gt; Slay the Nazarene\"<br>\n"
	"\"&lt;Kristoff|Away&gt; Slay the Nazarene\"<br>\n"
	"\"...\"<br>\n"
	"\"&lt;Balboy&gt; Kristoff|Away: i knew tou were crazy :p\"<br>\n"
	"\"&lt;Balboy&gt; we got the point :)\"<br>\n"
	"\"&lt;rkaa&gt; they are all drunk...\"<br>\n"
	"\"&lt;Kristoff|Away&gt; :PPPPPPP\"<br>\n"
	"\"&lt;Balboy&gt; Triskelios: this is the way kvirc is coded :)\"<br>\n"
	"\"&lt;Balboy&gt; Kristoff gets drunk :p\"<br>\n"
	"\"&lt;Kristoff|Away&gt; ROTLF\"<br>\n"
	"\"&lt;rkaa&gt; lol\"<br>\n"
	"\"&lt;Triskelios&gt; lol\"<br>\n"
	"\"&lt;Balboy&gt; so... do not complain about bugs :p\"<br>\n"
	"<font size=\"2\" color=\"#FF0080\">\n"
		"\"Triskelios sees his client segfault\"<br>\n"
	"</font>\n"
	"\"&lt;Kristoff|Away&gt; hheheheheh\"<br>\n"
	"\"&lt;Balboy&gt; :)\"<br>\n"
	"</i></font>\n";

#endif // _KVI_ABOUT_H_INCLUDED_
