#ifndef _KVI_STAT_WINDOW_H_INCLUDED_
#define _KVI_STAT_WINDOW_H_INCLUDED_

// =============================================================================
//
// 		--- kvi_stat_window.h ---
//
//   This is a plugin for KVIrc 2. It allows you to see
//   statistics of your IRC sessions - total words said etc.
//   More features are still to come.
//
//   (c) Krzysztof Godlewski <kristoff@poczta.wprost.pl>
//
//   This program is FREE software. You can redistribute it and/or
//   modify it under the terms of the GNU General Public License
//   as published by the Free Software Foundation; either version 2
//   of the License, or (at your opinion) any later version.
//
//   This program is distributed in the HOPE that it will be USEFUL,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//   See the GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program. If not, write to the Free Software Foundation,
//   Inc, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
// =============================================================================

#include "kvi_tabdialog.h"

class KviLabel;
class KviListView;

class KviStatWindow : public KviTabDialog
{
	Q_OBJECT

public:
	KviStatWindow();
	~KviStatWindow();

	void updateStats();

private:
	QPtrList<KviLabel> labels;
	KviListView       *m_chansView;

private slots:
	void slotRemoveChan();
};

#endif // _KVI_STAT_WINDOW_H_INCLUDED_
